package com.ruoyi.ss.cardOrder.service;

import java.util.List;
import com.ruoyi.ss.cardOrder.domain.CardOrder;
import com.ruoyi.ss.cardOrder.domain.CardOrderVO;
import com.ruoyi.ss.cardOrder.domain.CardOrderQuery;

/**
 * 卡券订单Service接口
 *
 * @author qzz
 * @date 2025-03-20
 */
public interface ICardOrderService
{
    /**
     * 查询卡券订单
     *
     * @param orderId 卡券订单主键
     * @return 卡券订单
     */
    public CardOrderVO selectCardOrderByOrderId(Long orderId);

    /**
     * 根据订单好好查询卡券订单
     *
     * @param orderNo 卡券订单号
     * @return 卡券订单
     */
    public CardOrderVO selectCardOrderByOrderNo(String orderNo);

    /**
     * 查询卡券订单列表
     *
     * @param cardOrder 卡券订单
     * @return 卡券订单集合
     */
    public List<CardOrderVO> selectCardOrderList(CardOrderQuery cardOrder);

    /**
     * 新增卡券订单
     *
     * @param cardOrder 卡券订单
     * @return 结果
     */
    public int insertCardOrder(CardOrder cardOrder);

    /**
     * 修改卡券订单
     *
     * @param cardOrder 卡券订单
     * @return 结果
     */
    public int updateCardOrder(CardOrder cardOrder);

    /**
     * 批量删除卡券订单
     *
     * @param orderIds 需要删除的卡券订单主键集合
     * @return 结果
     */
    public int deleteCardOrderByOrderIds(Long[] orderIds);

    /**
     * 删除卡券订单信息
     *
     * @param orderId 卡券订单主键
     * @return 结果
     */
    public int deleteCardOrderByOrderId(Long orderId);

}
